﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XExten.Advance.StaticFramework;

namespace HKCardOUT.Helper
{
    public class DataBus
    {
        private static string _ConnectionString;
        public static string ConnectionString
        {
            get => _ConnectionString;
            set
            {
                var Route = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "DATA");
                _ConnectionString = $"DataSource={SyncStatic.CreateFile(Path.Combine(SyncStatic.CreateDir(Route), value))}";
            }
        }
        public static bool NetWordState { get; set; } = false;
        public static string Cron { get; set; }
        public static string SaasRoute { get; set; }
    }
    public class ApiRoute
    {
        public static string CheckCardStatus = DataBus.SaasRoute + "";
        public static string SyncSaleLog = DataBus.SaasRoute + "";
    }
}
