﻿using HKCardOUT.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XExten.Advance.HttpFramework.MultiFactory;

namespace HKCardOUT.Logic
{
    public class RemoteService
    {
        /// <summary>
        /// 判断卡状态
        /// </summary>
        /// <param name="input"></param>
        public static void CheckCardStuatas(string input)
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = ApiRoute.CheckCardStatus;
            }).Build().RunStringFirst();
        }
        /// <summary>
        /// 同步消费记录
        /// </summary>
        /// <param name="input"></param>
        public static void SyncSaleLog(dynamic input)
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = ApiRoute.SyncSaleLog;
            }).Build().RunStringFirst();
        }
    }
}
